include	clib.inc
include	conio.inc

PPROC	wcunzip, dest:dword, src:dword, wcount:word
	push	ds
	push	si
	push	di
	les	di,dest
	inc	di
	lds	si,src
	cld
	mov	ax,wcount
	and	wcount,07FFh
	and	ax,8000h
	mov	cx,wcount
	jz	wcunzip_00
	call	@rsunzipat
	jmp	wcunzip_01
    wcunzip_00:
	call	@rsunzipch
    wcunzip_01:
	mov	di,word ptr dest
	mov	cx,wcount
	call	@rsunzipch
	pop	di
	pop	si
	pop	ds
	ret
PEND	wcunzip

	END
